ImplicitResultSetProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class ImplicitResultSetProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractResultSetProxyHandler
              org.hibernate.engine.jdbc.internal.proxy.ImplicitResultSetProxyHandler

All Implemented Interfaces:
  InvocationHandler

    public class ImplicitResultSetProxyHandler

extends AbstractResultSetProxyHandler

Invocation handler for `ResultSet` proxies obtained from other JDBC object proxies

Constructor Summary
`ImplicitResultSetProxyHandler(ResultSet resultSet, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`ImplicitResultSetProxyHandler(ResultSet resultSet, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy, Statement sourceStatement)`

Method Summary
`protected Statement` | `getExposableStatement()`
`protected JdbcServices` | `getJdbcServices()`
`protected JdbcResourceRegistry` | `getResourceRegistry()`
`protected void` | `invalidateHandle()`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractResultSetProxyHandler
`continueInvocation, getResultSet, getResultSetWithoutChecks`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImplicitResultSetProxyHandler

    public ImplicitResultSetProxyHandler(ResultSet resultSet,
                                         ConnectionProxyHandler connectionProxyHandler,
                                         Connection connectionProxy)

### ImplicitResultSetProxyHandler

    public ImplicitResultSetProxyHandler(ResultSet resultSet,
                                         ConnectionProxyHandler connectionProxyHandler,
                                         Connection connectionProxy,
                                         Statement sourceStatement)

Method Detail

### getJdbcServices

    protected JdbcServices getJdbcServices()

  Specified by:
    `getJdbcServices` in class `AbstractResultSetProxyHandler`

### getResourceRegistry

    protected JdbcResourceRegistry getResourceRegistry()

  Specified by:
    `getResourceRegistry` in class `AbstractResultSetProxyHandler`

### getExposableStatement

    protected Statement getExposableStatement()

  Specified by:
    `getExposableStatement` in class `AbstractResultSetProxyHandler`

### invalidateHandle

    protected void invalidateHandle()

  Overrides:
    `invalidateHandle` in class `AbstractResultSetProxyHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.